Skypeforlinux doesnt launch (slimcore lib missing)

aur
skype

#1
[master-andreas@master-pc ~]$ skypeforlinux 
App threw an error during load
Error: Cannot find module 'slimcore/lib/version'
    at Module._resolveFilename (module.js:470:15)
    at Function.Module._resolveFilename (/usr/lib/electron/resources/electron.asar/common/reset-search-paths.js:35:12)
    at Function.Module._load (module.js:418:25)
    at Module.require (module.js:498:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/usr/lib/skypeforlinux/Main.js:5:17)
    at Object.<anonymous> (/usr/lib/skypeforlinux/Main.js:31:3)
    at Module._compile (module.js:571:32)
    at Object.Module._extensions..js (module.js:580:10)
    at Module.load (module.js:488:32)
A JavaScript error occurred in the main process
Uncaught Exception:
Error: Cannot find module 'slimcore/lib/version'
    at Module._resolveFilename (module.js:470:15)
    at Function.Module._resolveFilename (/usr/lib/electron/resources/electron.asar/common/reset-search-paths.js:35:12)
    at Function.Module._load (module.js:418:25)
    at Module.require (module.js:498:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/usr/lib/skypeforlinux/Main.js:5:17)
    at Object.<anonymous> (/usr/lib/skypeforlinux/Main.js:31:3)
    at Module._compile (module.js:571:32)
    at Object.Module._extensions..js (module.js:580:10)
    at Module.load (module.js:488:32)

(electron:29711): Gdk-WARNING **: gdkwindow-x11.c:5573 drawable is not a native X11 window

(electron:29711): Gdk-WARNING **: gdkwindow-x11.c:5573 drawable is not a native X11 window

(electron:29711): Gdk-WARNING **: gdkwindow-x11.c:5573 drawable is not a native X11 window


#2

Which AUR package did you use?


#3

vanila skypeforlinux


#4

Please try skpyeforlinux-bin. normal skypeforlinux is outdated…


#5

the installer doesnt work anymore (broken link) same for beta


#6

That’s not what I meant.
There are three skypefor linux packages in the aur:
1: skypeforlinux

A: Builds using the Arch/Manjaro Electron package rather than one bundled with skype.
B: Rebuilds Node.js modules from sources rather using the Arch/Manajaro repository packages.
C: Has support for the soon to be no longer supported by Arch/Manjaro i686 architecture.

NOTE: This one is outdated and the maintainer is also having issues.
https://aur.archlinux.org/packages/skypeforlinux/

2: skypeforlinux-beta-bin

This one is the older 5.x version for those that can not run the newer 8.x series

3: skypeforlinux-bin

A: Uses the upstream bundles Electron
B: Uses the Arch/Manjaro Node.js packages
C: Supports x86_64 only

The 3rd option is the best one to use for most Intel CPU users as it requires SSSE3 or SSE3S.
For AMD and older Intel, etc. users who’s CPU doesn’t support SSE3, the older skypeforlinux-beta-bin would be a better option.


#7

I just checked and the links are NOT broken…


#8

yeah my internet droped when i hit enter to install:)


#9

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.